depends_on:
  - test

pipeline:
  buildNext:
    image: woodpeckerci/plugin-docker-buildx
    settings:
      repo: ocram85/blog
      dockerfile: Dockerfile
      tags: next
      username:
        from_secret: hub_user
      password:
        from_secret: hub_passwd
    when:
      event: pull_request

  buildNextGitea:
    image: woodpeckerci/plugin-docker-buildx
    settings:
      registry: gitea.ocram85.com
      repo: gitea.ocram85.com/ocram85/blog
      dockerfile: Dockerfile
      tags: next
      username:
        from_secret: gitea_user
      password:
        from_secret: gitea_passwd
    when:
      event: pull_request

  trivyNext:
    image: aquasec/trivy:0.35.0
    commands:
      - |
        trivy image \
          --severity UNKNOWN,LOW,MEDIUM \
          --no-progress \
          ocram85/blog:next
      - |
        trivy image \
          --severity HIGH,CRITICAL \
          --no-progress \
          ocram85/blog:next
    when:
      event: pull_request

  triggerPortainer:
    image: ocram85/portainer-serviceupdate
    settings:
      #VERBOSE: true
      URI: "https://portainer.ocram85.com"
      TOKEN:
        from_secret: NEXT_TOKEN
    when:
      event: pull_request
